Loading...
Searching...
No Matches
control_vty.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Functions

int | ctrl_vty_init (void *ctx)
const char * | ctrl_vty_get_bind_addr (void)
uint16_t | ctrl_vty_get_bind_port (uint16_t default_port)

## Function Documentation

## ctrl_vty_get_bind_addr()

const char * ctrl_vty_get_bind_addr | ( | void |  | ) |

References ctrl_vty_bind_addr.

Referenced by ctrl_interface_setup2().

## ctrl_vty_get_bind_port()

uint16_t ctrl_vty_get_bind_port | ( | uint16_t | default_port | ) |

References ctrl_bind_port.

Referenced by ctrl_interface_setup2().

## ctrl_vty_init()

int ctrl_vty_init | ( | void * | ctx | ) |

References config_write_ctrl(), ctrl_node, and ctrl_vty_ctx.